Skip to main content
POST
/
api
/
v1
/
chat
/
sessions
Create Session
curl --request POST \
  --url https://api.example.com/api/v1/chat/sessions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "session_type": "team_chat",
  "title": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "session_type": "<string>",
  "title": "<string>",
  "status": "<string>",
  "message_count": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "team_type": "<string>",
  "team_display_name": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Create a new chat session.

team_id
string<uuid> | null
workspace_id
string<uuid> | null
session_type
enum<string>
default:team_chat
Available options:
team_chat,
agent_chat,
model_chat
title
string | null

Response

Successful Response

Chat session metadata.

id
string<uuid>
required
session_type
string
required
title
string
required
status
string
required
message_count
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
team_id
string<uuid> | null
team_type
string | null
team_display_name
string | null